# serial: serial::SerialExecption Class Reference

serial 1.0.1 Cross-platform serial port library written in C++

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Defines
Public Member Functions
serial::SerialExecption Class Reference

`#include <serial.h>`

## Public Member Functions

| SerialExecption (const char *description)
| SerialExecption (const SerialExecption &other)
virtual const char * | what () const throw ()

## Constructor & Destructor Documentation

serial::SerialExecption::SerialExecption | ( | const char * | description | ) | `[inline]`

    : e_what_ (description) {}

serial::SerialExecption::SerialExecption | ( | const SerialExecption & | other | ) | `[inline]`

                                                     {
        e_what_ = other.e_what_;
      }

## Member Function Documentation

virtual const char* serial::SerialExecption::what | ( |  | ) | const throw ()`[inline, virtual]`

      {
        std::stringstream ss;
        ss << "SerialException " << e_what_ << " failed.";
        return ss.str ().c_str ();
      }

The documentation for this class was generated from the following file:

- include/serial/serial.h